#ifndef SERVERPRO_H
#define SERVERPRO_H

/*
 * @(#)ServerPro.h
 *
 * This file is an extension of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 2003-2004 Jörg P. M. Haeger
 */

#include "Server.h"

class ServerPro: public Server {
	public: ServerPro(Socket &socket): Server(socket) {
	}

	public: static int passwd(String &id) {
		showPro();
		return 1;
	}

	private: static void showPro() {
		printf("Pro edition only! Visit\n\n"
			"\thttp://JoergHaeger.de/webCDwriter/pro.html\n\n");
	}

	public: static int useradd(String &id) {
		showPro();
		return 1;
	}
};

#endif
